Interop ToolBar

#1
Is that possible to create toolbars ?

Code: Select all

Public Shared Sub addToolbar()
            Try
                Dim app As acOp.AcadApplication =
                DirectCast(IntelliCAD.ApplicationServices.Core.Application.AcadApplication,
                acOp.AcadApplication)

                ' Define the toolbars group
                groups = app.MenuGroups
                group = groups.Item(0)
                toolbars = group.Toolbars

                ' Generate the flyout toolbar
                toolbar = toolbars.Add("CatScript Tools")

                ' Generate the flyouts
                'flyoutForTableTop(0)
                'flyoutForCaseConveyor(1)
                flyoutForAirConveyor(0)

                ' Dock the newly created toolbar on the left
                toolbar.Dock(acOpCom.AcToolbarDockStatus.acToolbarDockLeft)

            Catch ex As System.Exception
            End Try
        End Sub
cron